# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cache/FileCache.pm) perl(Class/Accessor.pm) perl(DateTime/Duration.pm) perl(DateTime/Format/Strptime.pm) perl(DateTime/Incomplete.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(HTTP/Request/Common.pm) perl(JSON.pm) perl(LWP/ConnCache.pm) perl(LWP/UserAgent.pm) perl(Storable.pm) perl(Test/More.pm) perl(URI.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name WebService-IMDB
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: OO Perl interface to the Internet Movie Database imdb.com
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CJ/CJK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
use WebService::IMDB;

    my $ws = WebService::IMDB->new(cache => 1, cache_exp => "12h");

    my $movie = $ws->search(type => "Title", tconst => "tt0114814");

    print $movie->title(), ": \n\n";
    print $movie->synopsis(), "\n\n";

    foreach ( @{$movie->cast_summary()} ) {
        print $_->name()->name(), " : ", $_->char(), "\n";
    }



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CHANGELOG README
%perl_vendor_privlib/W*

%changelog
* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

